package org.framework.lazy.cloud.network.heartbeat.server.standalone.application;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPool;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyNettyServerPermeatePortPoolDTO;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 服务端内网渗透端口池 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:26 夜间
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyApplication 
 **/

public interface LazyNettyServerPermeatePortPoolApplication {


    /**
     * describe 新增服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolStoryCommand 新增服务端内网渗透端口池     
     * @return {@link Result<LazyNettyServerPermeatePortPool>} 服务端内网渗透端口池新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPool> story(LazyNettyServerPermeatePortPoolStoryCommand lazyNettyServerPermeatePortPoolStoryCommand);

    /**
     * describe 批量新增服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolStoryCommandList 批量新增服务端内网渗透端口池     
     * @return {@link Result<List<LazyNettyServerPermeatePortPool>>} 服务端内网渗透端口池新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<List<LazyNettyServerPermeatePortPool>> batchStory(List<LazyNettyServerPermeatePortPoolStoryCommand> lazyNettyServerPermeatePortPoolStoryCommandList);

    /**
     * describe 更新服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolUpdateCommand 更新服务端内网渗透端口池     
     * @return {@link Result<LazyNettyServerPermeatePortPool>} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPool> updateOne(LazyNettyServerPermeatePortPoolUpdateCommand lazyNettyServerPermeatePortPoolUpdateCommand);

    /**
     * describe 查询单个服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolQueryOneCommand 查询单个服务端内网渗透端口池     
     * @return {@link Result<LazyNettyServerPermeatePortPoolDTO>} 服务端内网渗透端口池DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPoolDTO> findOne(LazyNettyServerPermeatePortPoolQueryOneCommand lazyNettyServerPermeatePortPoolQueryOneCommand);

    /**
     * describe 查询多个服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolQueryListCommand 查询多个服务端内网渗透端口池     
     * @return {@link Result <List<LazyNettyServerPermeatePortPoolDTO>>} 服务端内网渗透端口池DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result <List<LazyNettyServerPermeatePortPoolDTO>> findList(LazyNettyServerPermeatePortPoolQueryListCommand lazyNettyServerPermeatePortPoolQueryListCommand);

    /**
     * describe 分页查询多个服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolQueryListCommand 分页查询多个服务端内网渗透端口池     
     * @return {@link Result <LazyPage<LazyNettyServerPermeatePortPoolDTO>>} 分页服务端内网渗透端口池DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result <LazyPage<LazyNettyServerPermeatePortPoolDTO>> findPage(int size,int current,LazyNettyServerPermeatePortPoolQueryListCommand lazyNettyServerPermeatePortPoolQueryListCommand);

    /**
     * describe 删除服务端内网渗透端口池
     *
     * @param lazyNettyServerPermeatePortPoolRemoveCommand 删除服务端内网渗透端口池     
     * @return {@link Result<LazyNettyServerPermeatePortPool>} 服务端内网渗透端口池     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/

    Result<LazyNettyServerPermeatePortPool> remove(LazyNettyServerPermeatePortPoolRemoveCommand lazyNettyServerPermeatePortPoolRemoveCommand);

}