package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.client.permeate.client.mapping.LazyInternalNetworkClientPermeateClientMapping;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyInternalNetworkClientPermeateClientMappingDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 客户端渗透客户端映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 09:55 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyInternalNetworkClientPermeateClientMappingConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/
    LazyInternalNetworkClientPermeateClientMappingConverter INSTANCE = Mappers.getMapper(LazyInternalNetworkClientPermeateClientMappingConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyInternalNetworkClientPermeateClientMappingDO 客户端渗透客户端映射实体对象     
     * @return {@link LazyInternalNetworkClientPermeateClientMapping} 客户端渗透客户端映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/
    LazyInternalNetworkClientPermeateClientMapping toLazyInternalNetworkClientPermeateClientMapping(LazyInternalNetworkClientPermeateClientMappingDO lazyInternalNetworkClientPermeateClientMappingDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyInternalNetworkClientPermeateClientMapping 客户端渗透客户端映射领域对象     
     * @return {@link LazyInternalNetworkClientPermeateClientMappingDO} 客户端渗透客户端映射实体对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 09:55 晚上
     **/
     LazyInternalNetworkClientPermeateClientMappingDO fromLazyInternalNetworkClientPermeateClientMapping(LazyInternalNetworkClientPermeateClientMapping lazyInternalNetworkClientPermeateClientMapping); 
}